import cdk = require('@aws-cdk/core');
import { IApplicationListener } from './application-listener';
/**
 * Properties for adding a set of certificates to a listener
 */
export interface ApplicationListenerCertificateProps {
    /**
     * The listener to attach the rule to
     */
    readonly listener: IApplicationListener;
    /**
     * ARNs of certificates to attach
     *
     * Duplicates are not allowed.
     */
    readonly certificateArns: string[];
}
/**
 * Add certificates to a listener
 */
export declare class ApplicationListenerCertificate extends cdk.Construct {
    constructor(scope: cdk.Construct, id: string, props: ApplicationListenerCertificateProps);
}
